Last Comment Bug 513702 - /gfx/cairo/cairo/test/Makefile.in: Remove useless lines
: /gfx/cairo/cairo/test/Makefile.in: Remove useless lines
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 2000
: -- trivial (vote)
: mozilla12
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on:
Blocks: 718359
  Show dependency treegraph
 
Reported: 2009-08-31 09:59 PDT by Serge Gautherie (:sgautherie)
Modified: 2012-01-15 20:06 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Serge Gautherie (:sgautherie) 2009-08-31 09:59:06 PDT
I guess this should happen upstream?!
Comment 1 Serge Gautherie (:sgautherie) 2009-09-02 10:41:16 PDT
Unused:
line 128 -- ATSUI_FONT_FEATURE = @ATSUI_FONT_FEATURE@
line 185 -- FT_FONT_FEATURE = @FT_FONT_FEATURE@
line 189 -- GLITZ_SURFACE_FEATURE = @GLITZ_SURFACE_FEATURE@
line 216 -- PDF_SURFACE_FEATURE = @PDF_SURFACE_FEATURE@
line 223 -- PNG_SURFACE_FEATURE = @PNG_SURFACE_FEATURE@
line 225 -- PS_SURFACE_FEATURE = @PS_SURFACE_FEATURE@
line 226 -- QUARTZ_SURFACE_FEATURE = @QUARTZ_SURFACE_FEATURE@
line 228 -- SANITY_CHECKING_FEATURE = @SANITY_CHECKING_FEATURE@
line 234 -- WIN32_FONT_FEATURE = @WIN32_FONT_FEATURE@
line 235 -- WIN32_SURFACE_FEATURE = @WIN32_SURFACE_FEATURE@
line 238 -- XCB_SURFACE_FEATURE = @XCB_SURFACE_FEATURE@
line 239 -- XLIB_SURFACE_FEATURE = @XLIB_SURFACE_FEATURE@

Don't even exist:
line 140 -- CAIRO_HAS_PDF_SURFACE_FALSE = @CAIRO_HAS_PDF_SURFACE_FALSE@
line 141 -- CAIRO_HAS_PDF_SURFACE_TRUE = @CAIRO_HAS_PDF_SURFACE_TRUE@
Comment 2 JP Rosevear [:jpr] 2011-12-10 13:05:24 PST
Actually, Makefile.in is not upstream in source, we appear to have checked in generated files.  Either that or we need to update the generated files for our build system.
Comment 3 Jeff Muizelaar [:jrmuizel] 2012-01-13 14:44:37 PST
The whole test directory can just go away. I'll land that patch as soon as the tree opens.
Comment 4 Jeff Muizelaar [:jrmuizel] 2012-01-14 11:32:25 PST
https://hg.mozilla.org/mozilla-central/rev/21c84409902e
Comment 5 Serge Gautherie (:sgautherie) 2012-01-15 20:06:36 PST
V.Fixed, per MXR.

I filed bug 718359 as a follow-up.

Note You need to log in before you can comment on or make changes to this bug.